diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/test.h ns-3.44/src/core/model/test.h
--- ns-3.43/src/core/model/test.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/test.h	2025-03-09 16:55:49.363371100 -0700
@@ -20,25 +20,25 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup testing
- * \brief ns3::TestCase, ns3::TestSuite, ns3::TestRunner declarations,
+ * @file
+ * @ingroup testing
+ * @brief ns3::TestCase, ns3::TestSuite, ns3::TestRunner declarations,
  * and \c NS_TEST_ASSERT macro definitions.
  */
 
 /**
- * \ingroup core
- * \defgroup testing Testing
- * \brief Tools to define and execute unit tests.
+ * @ingroup core
+ * @defgroup testing Testing
+ * @brief Tools to define and execute unit tests.
  *
  * This module lists the normal Testing API.  Most of these
  * macros forward to the implementation macros in testingimpl.
  * You should generally use these macros only.
  */
 /**
- * \ingroup testing
- * \defgroup testingimpl Testing Implementation
- * \brief Internal implementation of the Testing system.
+ * @ingroup testing
+ * @defgroup testingimpl Testing Implementation
+ * @brief Internal implementation of the Testing system.
  */
 
 namespace ns3
@@ -60,8 +60,8 @@
 //
 
 /**
- * \ingroup testing
- * \brief Check if we should assert on errors, and do so
+ * @ingroup testing
+ * @brief Check if we should assert on errors, and do so
  */
 #define ASSERT_ON_FAILURE                                                                          \
     do                                                                                             \
@@ -73,8 +73,8 @@
     } while (false)
 
 /**
- * \ingroup testing
- * \brief If we shouldn't continue on errors, return
+ * @ingroup testing
+ * @brief If we shouldn't continue on errors, return
  */
 #define CONTINUE_ON_FAILURE                                                                        \
     do                                                                                             \
@@ -86,8 +86,8 @@
     } while (false)
 
 /**
- * \ingroup testing
- * \brief If we shouldn't continue on errors, return test status
+ * @ingroup testing
+ * @brief If we shouldn't continue on errors, return test status
  */
 #define CONTINUE_ON_FAILURE_RETURNS_BOOL                                                           \
     do                                                                                             \
@@ -103,9 +103,9 @@
 // ===========================================================================
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual and expected (limit) value are equal and
+ * @brief Test that an actual and expected (limit) value are equal and
  * report and abort if not.
  *
  * Check to see if the expected (limit) value is equal to the actual
@@ -116,18 +116,18 @@
  *
  * The message is interpreted as a stream, for example:
  *
- * \code
+ * @code
  * NS_TEST_ASSERT_MSG_EQ (result, true,
  *      "cannot open file " << filename << " in test");
- * \endcode
+ * @endcode
  *
  * is legal.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the expected value of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the expected value of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  *
- * \warning Do not use this macro if you are comparing floating point
+ * @warning Do not use this macro if you are comparing floating point
  * numbers (float or double) as it is unlikely to do what you expect.
  * Use NS_TEST_ASSERT_MSG_EQ_TOL instead.
  */
@@ -155,9 +155,9 @@
     } while (false)
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual and expected (limit) value are equal and
+ * @brief Test that an actual and expected (limit) value are equal and
  * report and abort if not.
  *
  * Check to see if the expected (limit) value is equal to the actual
@@ -168,18 +168,18 @@
  *
  * The message is interpreted as a stream, for example:
  *
- * \code
+ * @code
  * NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL (result, true,
  *      "cannot open file " << filename << " in test");
- * \endcode
+ * @endcode
  *
  * is legal.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the expected value of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the expected value of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  *
- * \warning Do not use this macro if you are comparing floating point
+ * @warning Do not use this macro if you are comparing floating point
  * numbers (float or double) as it is unlikely to do what you expect.
  * Use NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL_TOL instead.
  *
@@ -210,9 +210,9 @@
     } while (false)
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual and expected (limit) value are equal and
+ * @brief Test that an actual and expected (limit) value are equal and
  * report if not.
  *
  * Check to see if the expected (limit) value is equal to the actual
@@ -223,18 +223,18 @@
  *
  * The message is interpreted as a stream, for example:
  *
- * \code
+ * @code
  * NS_TEST_EXPECT_MSG_EQUAL (result, true,
  *      "cannot open file " << filename << " in test");
- * \endcode
+ * @endcode
  *
  * is legal.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the expected value of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the expected value of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  *
- * \warning Do not use this macro if you are comparing floating point
+ * @warning Do not use this macro if you are comparing floating point
  * numbers (float or double) as it is unlikely to do what you expect.
  * Use NS_TEST_EXPECT_MSG_EQ_TOL instead.
  */
@@ -266,9 +266,9 @@
 // ===========================================================================
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that actual and expected (limit) values are equal to
+ * @brief Test that actual and expected (limit) values are equal to
  * plus or minus some tolerance and report and abort if not.
  *
  * Check to see if the expected (limit) value is equal to the actual
@@ -307,22 +307,22 @@
  * numeric_limits<double>::epsilon () range, consider using
  * ns3::TestDoubleIsEqual().
  *
- * \note Mixing signed and unsigned types can lead to misleading
+ * @note Mixing signed and unsigned types can lead to misleading
  * results.
  *
  * The message is interpreted as a stream, for example:
  *
- * \code
+ * @code
  *   NS_TEST_ASSERT_MSG_EQ_TOL (snr, 1128.93, 0.005,
  *                              "wrong snr (" << snr << ") in test");
- * \endcode
+ * @endcode
  *
  * is legal.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the expected value of the test.
- * \param [in] tol Tolerance of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the expected value of the test.
+ * @param [in] tol Tolerance of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  */
 #define NS_TEST_ASSERT_MSG_EQ_TOL(actual, limit, tol, msg)                                         \
     do                                                                                             \
@@ -351,9 +351,9 @@
     } while (false)
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that actual and expected (limit) values are equal to
+ * @brief Test that actual and expected (limit) values are equal to
  * plus or minus some tolerance and report and abort if not.
  *
  * Check to see if the expected (limit) value is equal to the actual
@@ -392,22 +392,22 @@
  * numeric_limits<double>::epsilon () range, consider using
  * ns3::TestDoubleIsEqual().
  *
- * \note Mixing signed and unsigned types can lead to misleading
+ * @note Mixing signed and unsigned types can lead to misleading
  * results.
  *
  * The message is interpreted as a stream, for example:
  *
- * \code
+ * @code
  *   NS_TEST_ASSERT_MSG_EQ_TOL_RETURNS_BOOL (snr, 1128.93, 0.005,
  *                                           "wrong snr (" << snr << ") in test");
- * \endcode
+ * @endcode
  *
  * is legal.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the expected value of the test.
- * \param [in] tol Tolerance of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the expected value of the test.
+ * @param [in] tol Tolerance of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  *
  * This function returns a Boolean value.
  *
@@ -439,9 +439,9 @@
     } while (false)
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that actual and expected (limit) values are equal to
+ * @brief Test that actual and expected (limit) values are equal to
  * plus or minus some tolerance and report if not.
  *
  * Check to see if the expected (limit) value is equal to the actual
@@ -480,22 +480,22 @@
  * numeric_limits<double>::epsilon () range, consider using
  * ns3::TestDoubleIsEqual().
  *
- * \note Mixing signed and unsigned types can lead to misleading
+ * @note Mixing signed and unsigned types can lead to misleading
  * results.
  *
  * The message is interpreted as a stream, for example:
  *
- * \code
+ * @code
  *   NS_TEST_EXPECT_MSG_EQ_TOL (snr, 1128.93, 0.005,
  *                              "wrong snr (" << snr << ") in test");
- * \endcode
+ * @endcode
  *
  * is legal.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the expected value of the test.
- * \param [in] tol Tolerance of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the expected value of the test.
+ * @param [in] tol Tolerance of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  */
 #define NS_TEST_EXPECT_MSG_EQ_TOL(actual, limit, tol, msg)                                         \
     do                                                                                             \
@@ -527,9 +527,9 @@
 // ===========================================================================
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual and expected (limit) value are not equal
+ * @brief Test that an actual and expected (limit) value are not equal
  * and report and abort if not.
  *
  * Check to see if the expected (limit) value is not equal to the
@@ -540,16 +540,16 @@
  *
  * The message is interpreted as a stream, for example:
  *
- * \code
+ * @code
  * NS_TEST_ASSERT_MSG_NE (result, false,
  *      "cannot open file " << filename << " in test");
- * \endcode
+ * @endcode
  *
  * is legal.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the value that actual is tested against.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the value that actual is tested against.
+ * @param [in] msg Message that is output if the test does not pass.
  */
 #define NS_TEST_ASSERT_MSG_NE(actual, limit, msg)                                                  \
     do                                                                                             \
@@ -575,9 +575,9 @@
     } while (false)
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual and expected (limit) value are not equal
+ * @brief Test that an actual and expected (limit) value are not equal
  * and report and abort if not.
  *
  * Check to see if the expected (limit) value is not equal to the
@@ -588,16 +588,16 @@
  *
  * The message is interpreted as a stream, for example:
  *
- * \code
+ * @code
  * NS_TEST_ASSERT_MSG_NE_RETURNS_BOOL (result, false,
  *      "cannot open file " << filename << " in test");
- * \endcode
+ * @endcode
  *
  * is legal.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the expected value of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the expected value of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  *
  * This function returns a Boolean value.
  *
@@ -626,9 +626,9 @@
     } while (false)
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual and expected (limit) value are not equal
+ * @brief Test that an actual and expected (limit) value are not equal
  * and report if not.
  *
  * Check to see if the expected (limit) value is not equal to the
@@ -639,18 +639,18 @@
  *
  * The message is interpreted as a stream, for example:
  *
- * \code
+ * @code
  * NS_TEST_EXPECT_MSG_NE (result, false,
  *      "cannot open file " << filename << " in test");
- * \endcode
+ * @endcode
  *
  * is legal.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the value that actual is tested against.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the value that actual is tested against.
+ * @param [in] msg Message that is output if the test does not pass.
  *
- * \warning Do not use this macro if you are comparing floating point
+ * @warning Do not use this macro if you are comparing floating point
  * numbers (float or double).  Use NS_TEST_EXPECT_MSG_FLNE instead.
  */
 #define NS_TEST_EXPECT_MSG_NE(actual, limit, msg)                                                  \
@@ -680,9 +680,9 @@
 // ===========================================================================
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual value is less than a limit and report
+ * @brief Test that an actual value is less than a limit and report
  * and abort if not.
  *
  * Check to see if the actual value found in a test case is less than
@@ -692,9 +692,9 @@
  *
  * The message is interpreted as a stream.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the limit value of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the limit value of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  */
 #define NS_TEST_ASSERT_MSG_LT(actual, limit, msg)                                                  \
     do                                                                                             \
@@ -720,9 +720,9 @@
     } while (false)
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual value is less than or equal to a limit
+ * @brief Test that an actual value is less than or equal to a limit
  * and report and abort if not.
  *
  * Check to see if the actual value found in a test case is less than
@@ -733,9 +733,9 @@
  *
  * The message is interpreted as a stream.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the limit value of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the limit value of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  */
 #define NS_TEST_ASSERT_MSG_LT_OR_EQ(actual, limit, msg)                                            \
     do                                                                                             \
@@ -761,9 +761,9 @@
     } while (false)
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual value is less than a limit and report if
+ * @brief Test that an actual value is less than a limit and report if
  * not.
  *
  * Check to see if the actual value found in a test case is less than
@@ -773,9 +773,9 @@
  *
  * The message is interpreted as a stream.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the limit value of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the limit value of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  */
 #define NS_TEST_EXPECT_MSG_LT(actual, limit, msg)                                                  \
     do                                                                                             \
@@ -800,9 +800,9 @@
     } while (false)
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual value is less than or equal to a limit
+ * @brief Test that an actual value is less than or equal to a limit
  * and report if not.
  *
  * Check to see if the actual value found in a test case is less than
@@ -813,9 +813,9 @@
  *
  * The message is interpreted as a stream.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the limit value of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the limit value of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  */
 #define NS_TEST_EXPECT_MSG_LT_OR_EQ(actual, limit, msg)                                            \
     do                                                                                             \
@@ -844,9 +844,9 @@
 // ===========================================================================
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual value is greater than a limit and report
+ * @brief Test that an actual value is greater than a limit and report
  * and abort if not.
  *
  * Check to see if the actual value found in a test case is greater
@@ -857,9 +857,9 @@
  *
  * The message is interpreted as a stream.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the limit value of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the limit value of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  */
 #define NS_TEST_ASSERT_MSG_GT(actual, limit, msg)                                                  \
     do                                                                                             \
@@ -885,9 +885,9 @@
     } while (false)
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual value is greater than or equal to a
+ * @brief Test that an actual value is greater than or equal to a
  * limit and report and abort if not.
  *
  * Check to see if the actual value found in a test case is greater
@@ -898,9 +898,9 @@
  *
  * The message is interpreted as a stream.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the limit value of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the limit value of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  */
 #define NS_TEST_ASSERT_MSG_GT_OR_EQ(actual, limit, msg)                                            \
     do                                                                                             \
@@ -926,9 +926,9 @@
     } while (false)
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual value is greater than a limit and report
+ * @brief Test that an actual value is greater than a limit and report
  * if not.
  *
  * Check to see if the actual value found in a test case is greater
@@ -939,9 +939,9 @@
  *
  * The message is interpreted as a stream.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the limit value of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the limit value of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  */
 #define NS_TEST_EXPECT_MSG_GT(actual, limit, msg)                                                  \
     do                                                                                             \
@@ -966,9 +966,9 @@
     } while (false)
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief Test that an actual value is greater than or equal to limit
+ * @brief Test that an actual value is greater than or equal to limit
  * and report if not.
  *
  * Check to see if the actual value found in a test case is greater
@@ -979,9 +979,9 @@
  *
  * The message is interpreted as a stream.
  *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the limit value of the test.
- * \param [in] msg Message that is output if the test does not pass.
+ * @param [in] actual Expression for the actual value found during the test.
+ * @param [in] limit Expression for the limit value of the test.
+ * @param [in] msg Message that is output if the test does not pass.
  */
 #define NS_TEST_EXPECT_MSG_GT_OR_EQ(actual, limit, msg)                                            \
     do                                                                                             \
@@ -1006,8 +1006,8 @@
     } while (false)
 
 /**
- * \ingroup testing
- * \brief Compare two double precision floating point numbers and
+ * @ingroup testing
+ * @brief Compare two double precision floating point numbers and
  * declare them equal if they are within some epsilon of each other.
  *
  * Approximate comparison of floating point numbers near equality is
@@ -1021,12 +1021,12 @@
  * This routine is based on the GNU Scientific Library function
  * gsl_fcmp.
  *
- * \param [in] a The first of double precision floating point
+ * @param [in] a The first of double precision floating point
  *               numbers to compare
- * \param [in] b The second of double precision floating point
+ * @param [in] b The second of double precision floating point
  *               numbers to compare
- * \param [in] epsilon The tolerance to use in the comparison.
- * \returns Returns \c true if the doubles are equal to a precision
+ * @param [in] epsilon The tolerance to use in the comparison.
+ * @returns Returns \c true if the doubles are equal to a precision
  *          defined by epsilon
  */
 bool TestDoubleIsEqual(const double a,
@@ -1036,20 +1036,20 @@
 class TestRunnerImpl;
 
 /**
- * \ingroup testing
+ * @ingroup testing
  *
- * \brief encapsulates test code
+ * @brief encapsulates test code
  *
  * To allow a new test to be run within the ns-3 test framework, users
  * need to create subclasses of this base class, override the DoRun
  * method, and use the NS_TEST_* macros within DoRun.
  *
- * \see sample-test-suite.cc
+ * @see sample-test-suite.cc
  */
 class TestCase
 {
   public:
-    /** \brief How long the test takes to execute. */
+    /** @brief How long the test takes to execute. */
     enum class Duration
     {
         QUICK = 1,        //!< Fast test.
@@ -1083,32 +1083,32 @@
     TestCase& operator=(const TestCase&) = delete;
 
     /**
-     * \return The name of this test
+     * @return The name of this test
      */
     std::string GetName() const;
 
   protected:
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      *
-     * \param [in] name The name of the new TestCase created
+     * @param [in] name The name of the new TestCase created
      */
     TestCase(std::string name);
 
     /**
-     * \brief Add an individual child TestCase to this test suite.
+     * @brief Add an individual child TestCase to this test suite.
      *
-     * \param [in] testCase Pointer to the TestCase object to be added.
-     * \param [in] duration Amount of time this test takes to execute
+     * @param [in] testCase Pointer to the TestCase object to be added.
+     * @param [in] duration Amount of time this test takes to execute
      *             (defaults to QUICK).
      */
     void AddTestCase(TestCase* testCase, Duration duration = Duration::QUICK);
 
     /**
-     * \brief Set the data directory where reference trace files can be
+     * @brief Set the data directory where reference trace files can be
      * found.
      *
-     * \param [in] directory The directory where the test data is
+     * @param [in] directory The directory where the test data is
      * located
      *
      * In general, this method is invoked as SetDataDir
@@ -1123,40 +1123,40 @@
     void SetDataDir(std::string directory);
 
     /**
-     * \brief Check if any tests failed.
+     * @brief Check if any tests failed.
      *
-     * \return \c true if any of the tests have failed, \c false otherwise.
+     * @return \c true if any of the tests have failed, \c false otherwise.
      */
     bool IsStatusFailure() const;
     /**
-     * \brief Check if all tests passed.
+     * @brief Check if all tests passed.
      *
-     * \return \c true if the tests have succeeded, \c false otherwise.
+     * @return \c true if the tests have succeeded, \c false otherwise.
      */
     bool IsStatusSuccess() const;
 
     /**
-     * \brief Get the parent of this TestCase.
+     * @brief Get the parent of this TestCase.
      *
-     * \return A pointer to the parent of this test.
+     * @return A pointer to the parent of this test.
      */
     TestCase* GetParent() const;
 
     /**
-     * \name Internal Interface
+     * @name Internal Interface
      * These methods are the interface used by test macros and should not
      * be used directly by normal test code.
      * @{
      */
     /**
-     * \brief Log the failure of this TestCase.
+     * @brief Log the failure of this TestCase.
      *
-     * \param [in] cond The test condition.
-     * \param [in] actual Actual value of the test.
-     * \param [in] limit Expected value of the test.
-     * \param [in] message Message indicating the type of failure.
-     * \param [in] file The file where the test failed.
-     * \param [in] line The line number in \pname{file} where the test failed.
+     * @param [in] cond The test condition.
+     * @param [in] actual Actual value of the test.
+     * @param [in] limit Expected value of the test.
+     * @param [in] message Message indicating the type of failure.
+     * @param [in] file The file where the test failed.
+     * @param [in] line The line number in \pname{file} where the test failed.
      */
     void ReportTestFailure(std::string cond,
                            std::string actual,
@@ -1165,34 +1165,34 @@
                            std::string file,
                            int32_t line);
     /**
-     * \brief Check if this run should assert on failure.
+     * @brief Check if this run should assert on failure.
      *
-     * \return \c true if we should assert on failure.
+     * @return \c true if we should assert on failure.
      */
     bool MustAssertOnFailure() const;
     /**
-     * \brief Check if this run should continue on failure.
+     * @brief Check if this run should continue on failure.
      *
-     * \return \c true if we should continue on failure.
+     * @return \c true if we should continue on failure.
      */
     bool MustContinueOnFailure() const;
     /**
-     * \brief Construct the full path to a file in the data directory.
+     * @brief Construct the full path to a file in the data directory.
      *
      * The data directory is configured by SetDataDirectory().
      *
-     * \param [in] filename The bare (no path) file name
-     * \return The full path to \pname{filename} in the data directory
+     * @param [in] filename The bare (no path) file name
+     * @return The full path to \pname{filename} in the data directory
      */
     std::string CreateDataDirFilename(std::string filename);
     /**
-     * \brief Construct the full path to a file in a temporary directory.
+     * @brief Construct the full path to a file in a temporary directory.
      *
      *  If the TestRunner is invoked with "--update-data", this will be
      *  the data directory instead.
      *
-     * \param [in] filename The bare (no path) file name
-     * \return The full path to \pname{filename} in the temporary directory.
+     * @param [in] filename The bare (no path) file name
+     * @return The full path to \pname{filename} in the temporary directory.
      */
     std::string CreateTempDirFilename(std::string filename);
     /**@}*/
@@ -1202,7 +1202,7 @@
     friend class TestRunnerImpl;
 
     /**
-     * \brief Implementation to do any local setup required for this
+     * @brief Implementation to do any local setup required for this
      * TestCase.
      *
      * Subclasses should override this method to perform any costly
@@ -1211,14 +1211,14 @@
     virtual void DoSetup();
 
     /**
-     * \brief Implementation to actually run this TestCase.
+     * @brief Implementation to actually run this TestCase.
      *
      * Subclasses should override this method to conduct their tests.
      */
     virtual void DoRun() = 0;
 
     /**
-     * \brief Implementation to do any local setup required for this
+     * @brief Implementation to do any local setup required for this
      * TestCase.
      *
      * Subclasses should override this method to perform any costly
